| Home | Libraries | People | FAQ | More

###### boost::mqtt5::will::will (2 of 3 overloads)

Construct a Will Message.

###### Synopsis

    will(
        std::string topic,
        std::string message,
        boost::mqtt5::qos_e qos = boost::mqtt5::qos_e::at_most_once,
        boost::mqtt5::retain_e retain = boost::mqtt5::retain_e::no);

###### Parameters

Name | Description
--- | ---
`topic` | Topic, identification of the information channel to which the Will Message will be published.
`message` | The message that will be published.
`qos` | The `qos_e` level used when publishing the Will Message.
`retain` | The `retain_e` flag specifying if the Will Message is to be retained when it is published.